Subject: Re: [PATCH 00/11] rebase: reset_head() related fixes and improvements

From: Junio C Hamano <[email-masked]>
Date: Fri, 01 Oct 2021 17:38:57 -0700

"Phillip Wood via GitGitGadget" <[email-masked]> writes:

> Fix some issues with the implementation and use of reset_head(). The last
> patch was previously posted as [1], I have updated the commit message and
> rebased it onto the fixes in this series. There are a couple of small
> conflicts merging this into seen, I think they should be easy to resolve (in
> rebase.c take both sides in reset.c take the changed lines from each side).
> These patches are based on pw/rebase-of-a-tag-fix

When merged with other topics in flight in 'seen', this seems to
fail the t1092 test (most likely, ds/add-rm-with-sparse-index is
what this interacts badly with).

Thanks.